/* This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation, version 2.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

#include <stdio.h>
#include <stdlib.h>

int loadParams(char *fileName, float *f1, float *f2, float *cc1, float *cc2, float *mirror_p, float *mirror_d, int *mirror_type,
	       float *rho_min_x, float *rho_min_y, float *rho_max_x, float *rho_max_y) {
  FILE * fid = fopen (fileName, "r");

  fread(f1, sizeof(float), 1, fid);
  fread(f2, sizeof(float), 1, fid);
  fread(cc1, sizeof(float), 1, fid);
  fread(cc2, sizeof(float), 1, fid);
  fread(mirror_p, sizeof(float), 1, fid);
  fread(mirror_d, sizeof(float), 1, fid);
  fread(mirror_type, sizeof(int), 1, fid);
  
  fread(rho_min_x, sizeof(int), 1, fid);
  fread(rho_min_y, sizeof(int), 1, fid);
  fread(rho_max_x, sizeof(int), 1, fid);
  fread(rho_max_y, sizeof(int), 1, fid);

  fclose(fid);
  
  return 0;
}

void printUsageAndExit() {
  printf("USAGE : readOmniParameters params_file \n");
  exit(-1);
}

int main( int argc, char *argv[] )
{  
  if (argc!=2) {
    printUsageAndExit();
  }

  char * params_file = argv[1];

  /* Get parameters */
  float f1, f2, cc1, cc2, mirror_p, mirror_d, rho_min_x, rho_min_y, rho_max_x, rho_max_y;
  int mirror_type;

  loadParams(params_file, &f1, &f2, &cc1, &cc2, &mirror_p, &mirror_d, &mirror_type, &rho_min_x, &rho_min_y, &rho_max_x, &rho_max_y);

  printf("f1 : %f, f2 : %f, cc1 : %f, cc2 : %f, mirror_p : %f, mirror_d : %f, mirror_type : %i, rho_min_x : %f, rho_min_y : %f, rho_max_x : %f, rho_max_y : %f\n",
         f1, f2, cc1, cc2, mirror_p, mirror_d, mirror_type, rho_min_x, rho_min_y, rho_max_x, rho_max_y);
  
  return 0;
}
